org.springframework.data.relational.core.sql

## Interface UpdateBuilder.UpdateWhere

All Superinterfaces:
  UpdateBuilder.BuildUpdate

Enclosing interface:
  UpdateBuilder

    public static interface UpdateBuilder.UpdateWhere
    extends UpdateBuilder.BuildUpdate

Interface exposing `WHERE` methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`UpdateBuilder.UpdateWhereAndOr` `where(Condition condition)` Apply a `WHERE` clause.

### Methods inherited from interface org.springframework.data.relational.core.sql.UpdateBuilder.BuildUpdate

`build`

### Method Detail

#### where

    UpdateBuilder.UpdateWhereAndOr where(Condition condition)

Apply a `WHERE` clause.

Parameters:
  `condition` - the `WHERE` condition.
Returns:
  `this` builder.
See Also:
  `Where`, `Condition`